TAAS - Feature #68

POS/PG Charge
09/26/2022 02:29 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 09/26/2022
Priority: Normal Due date: 09/28/2022
Assignee: Aparna Mathew % Done: 90%
Category: Estimated time: 24:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: POS/PG Charge

Description

Coding POS/PG Charge

History

#1 - 09/27/2022 09:52 AM - Christy Saint
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#2 - 09/28/2022 12:15 PM - Christy Saint
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#3 - 11/07/2022 05:22 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET MANDATORY FIELD RED

#4 - 11/08/2022 04:45 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#5 - 11/10/2022 04:07 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND ****
1.SET MANDATORY FIELD RED

#6 - 11/28/2022 02:23 PM - Amal Cyriac

ISSUE FOUND *****
1.SET VALIDATION ON DATE PICKER

#7 - 12/16/2022 05:22 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 01/04/2023 11:35 AM - Amal Cyriac

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.USE PROPER DATE FORMAT ON GRID

2.FIX DOUBLE ENTRY BUGS ON GRID

(add new pos/pg and update the same value it will displayed in grid as double / sort grid and choose any raw in edit mode after update it will doubled
in grid)

3.EDIT NAME ON BROWSER TAB

#9 - 01/09/2023 06:09 PM - Christy Saint

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#10 - 01/16/2023 04:20 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.SET A DATE RANGE

2.FIX DOUBLE ENTRY BUGS ON GRID

(add new pos/pg and update the same value it will displayed in grid as double / sort grid and choose any raw in edit mode after update it will doubled
in grid)

#11 - 01/16/2023 04:21 PM - Amal Cyriac

1.SET A DATE RANGE

2.FIX DOUBLE ENTRY BUGS ON GRID

(add new pos/pg and update the same value it will displayed in grid as double / sort grid and choose any raw in edit mode after update it will doubled
in grid)

3.DONT ALLOW "0" VALUE IN BANK CHARGE

#12 - 01/16/2023 05:37 PM - Christy Saint

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#13 - 01/17/2023 02:57 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIX DOUBLE ENTRY BUGS ON GRID

#14 - 01/23/2023 04:39 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 03/11/2023 05:19 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Set proper alert on date picker
(Effective Date)

#16 - 03/11/2023 06:55 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 05/17/2023 01:12 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- Assignee changed from Christy Saint to Anand V Gopal
- % Done changed from 60 to 50

Ul Flow Change To Like Set Bank Charge Module

#18 - 05/24/2023 05:58 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 05/25/2023 06:13 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Not working - Procedure error
2.Amounts should be align to right
3.Add precision

#20 - 05/30/2023 06:07 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#21 - 06/01/2023 06:28 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Add "percentage " on charge head

#22 - 06/02/2023 05:56 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 06/07/2023 06:33 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix error on update - Cant change charge
2.Use proper alert - Module name

#24 - 06/14/2023 12:30 PM - Junaid M
- Assignee changed from Anand V Gopal to Christy Saint

#25 - 06/19/2023 03:11 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#26 - 06/29/2023 04:27 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.NOT SHOWING THE CHARGE THAT CREATED IN THE POS/PG
#27 - 09/27/2023 10:28 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#28 - 10/05/2023 06:04 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.ERROR WHILE CHOOSING PRINT
#29 - 10/06/2023 03:14 PM - Christy Saint

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#30 - 10/16/2023 12:30 PM - unnikannan S
TESTING DONE

#31 - 11/01/2023 09:20 PM - Junaid M

- Assignee changed from Christy Saint to Abhiram Venu

#32 - 11/06/2023 10:47 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE ADDING BLANK OPTION AND SAVE IN CHARGE FIELD

2.ERROR WHILE ADDING ALPHABETS AND SAVE

#33 - 11/10/2023 10:25 AM - Junaid M

- Assignee changed from Abhiram Venu to Seema Mathew

#34 - 11/10/2023 10:25 AM - Junaid M

- Assignee changed from Seema Mathew to Shahil Haris

#35 - 11/14/2023 11:50 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#36 - 11/14/2023 12:04 PM - unnikannan S
TESTING DONE

#37 - 12/16/2023 12:57 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Change GUI Workflow like Set Roe GUI

#38 - 12/27/2023 10:38 AM - Anil KV

- Assignee changed from Shabhil Haris to Aparna Mathew

#39 - 12/28/2023 04:42 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#40 - 12/29/2023 10:58 AM - unnikannan S
TESTING DONE

#41 - 11/15/2024 12:43 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#42 - 04/08/2025 01:23 PM - Anil KV

Test test

Files

1-CsModel.cs 1.3 KB 09/26/2022 Anil KV
2-tsModel.ts 960 Bytes 09/26/2022 Anil KV
3-CsFile.cs 12.2 KB 09/26/2022 Anil KV
4-CsControllerFile.cs 24.4 KB 09/26/2022 Anil KV
5-TsFile.ts 13.7 KB 09/26/2022 Anil KV
sql.sql 11.8 KB 09/26/2022 Anil KV
6-HtmlFile.html 1.91 KB 09/26/2022 Anil KV
